<?php

/**
 * The file that defines all default configuration settings and default URLs for DivideBuy.
 *
 * @since    1.0
 * @package  Divide_Buy
 * @author   Cygnet Infotech Pvt. Ltd.
 */

if ( ! defined( 'ABSPATH' ) ) { 
    exit; // Exit if file accessed directly
}

class Divide_Buy_Configuration {
    
    const DIVIDEBUY_CHECKOUT_URL_STAGING    = "dividebuysandbox.co.uk/#/login";
    const DIVIDEBUY_API_URL_STAGING         = "https://api.dividebuysandbox.co.uk/";
    const DIVIDEBUY_CHECKOUT_URL_PRODUCTION = "dividebuy.co.uk/#/login";
    const DIVIDEBUY_API_URL_PRODUCTION      = "https://api.dividebuy.co.uk/";    
    /**
     * 
     * @return type
     */
    public function get_api_url(){
        $environment = get_option('wc_settings_tab_dividebuy_environment');
        if($environment == 0){
            return self::DIVIDEBUY_API_URL_STAGING;
        }else{
            return self::DIVIDEBUY_API_URL_PRODUCTION;
        }
    }
    
    /**
     * 
     * @return type
     */
    public function get_order_redirect_url(){
        $environment = get_option('wc_settings_tab_dividebuy_environment');
        $checkout_url_prefix = get_option('wc_settings_tab_dividebuy_checkout_url_prefix');
        
        if($environment == 0){
            if(trim($checkout_url_prefix)!=''){
                return "https://".$checkout_url_prefix.".".self::DIVIDEBUY_CHECKOUT_URL_STAGING;
            }
        }else{
            if(trim($checkout_url_prefix)!=''){
                return "https://".$checkout_url_prefix.".".self::DIVIDEBUY_CHECKOUT_URL_PRODUCTION;
            }
        }
    }
}
