<?php
// Getting all available shipping packages
$user_postcode = wc_format_postcode( filter_input(INPUT_POST, 'user_postcode'));
$packages = DivideBuy_Helper::get_shipping_packages($user_postcode);
$chosen_methods = WC()->session->get( 'chosen_shipping_methods' );
$chosen_shipping = explode(":", $chosen_methods[0]);
$shipping_packages = $packages[0]['rates'];
$shippingData = WC()->session->get( 'dividebuy_shipping' );
$shippingChanged = "false";
$default_shipping_chosen = WC()->session->get( 'default_shipping_checkout' );
if($packages['allow'] == 1){

}
else{
        if(count($shipping_packages) > 0){ ?>
            <h4 class="blue-text shipping-m-title" style=""><?php esc_html_e( 'Please select shipping method:', 'woocommerce' ); ?></h4>
            <form method="post" class="estimate-page-area" id="shipping_list_form">
                <div class="estimate-page wrap-h">
                    <div class='left-h' >
                        <div class="row"><div class='cs-scroll'>

                            <?php
                            foreach ( $shipping_packages as $package ) {
                                echo "<div class='method-points'>";
                                echo "<div class='col-sm-8 col-xs-8 method-radio' >";                         
                                   
                                    echo '<label class="control control--radio">'.$package->label . '
                                    <input type="radio" name="shipping" value="'.$package->method_id.'" '.(($chosen_shipping[0] == $package->method_id)?"checked='checked'":"").' />
                                      <div class="control__indicator"></div>';
                                echo "</label></div>";
                                


                                echo "<div class='col-sm-4 col-xs-4 text-right method-price' >";
                                    echo "<span class='price'>".get_woocommerce_currency_symbol().wc_format_decimal($package->cost)."</span>";
                                echo "</div>";
                                echo "</div>";
                                echo "<div class='clearfix'></div>";
                                
                                if($package->method_id == $chosen_shipping[0]){
                                    if($package->cost !== number_format($shippingData[1], 2)){
                                        $shippingChanged = "true";
                                    }else{
                                        $shippingChanged = "false";
                                    }
                                }
                            }
                            ?>
                        </div></div>
                      
                    </div>
                    <div class='right-h'>
                        <a href='javascript:void(0)' class='btn-checkout-modal' id='dividebuy_checkout_btn'><img src='<?php echo plugins_url()?>/dividebuy/assets/images/dividebuy-checkout-img.png'/></a>
                    </div>
                </div>        
            </form> <?php
        }else{
            echo '<div class="validation-advice" id="postcode_error">';
            esc_html_e( $packages['message'], 'woocommerce' );
            echo '</div>';
        }                
}
?>

<script>        
    jQuery(document).ready(function(){
        var shipping_method_count = '<?php echo count($shipping_packages);?>';
        var zipcode = jQuery('#user_postcode').val();
        var url = '<?php echo get_site_url().'/dividebuy/modal/place_order';?>';
        var shippingChanged = '<?php echo $shippingChanged;?>';
        var auto_check_direct = '<?php echo $packages["allow"];?>';
        var default_shipping_chosen = '<?php echo $default_shipping_chosen;?>';

        function CallUrlCheckout()
        {
            // Checking if there is only one shipping method is available.
            if(shipping_method_count === "1"){
                jQuery('input:radio[name=shipping]')[0].checked = true;
                var shipping_method = jQuery('input:radio[name="shipping"]:checked').val();
                jQuery("#shipping-loader").show();
                place_new_order(zipcode, shipping_method, url);
            }
            else if((shippingChanged === "false") && default_shipping_chosen == 1 && jQuery('input:radio[name="shipping"]:checked').length !== 0){            
                var shipping_method = jQuery('input:radio[name="shipping"]:checked').val();
                jQuery("#shipping-loader").show();
                place_new_order(zipcode, shipping_method, url);
            }
            
        }
        // Placing order with DivideBuy when user will click on checkout button.        
        jQuery('#dividebuy_checkout_btn').click(function(){
            var shipping_method = jQuery('input:radio[name="shipping"]:checked').val();
            if(jQuery('input:radio[name="shipping"]:checked').length === 0){
                jQuery("#postcode_error").html("Please select shipping method");
                return false;
            }                
            jQuery("#shipping-loader").show();
            place_new_order(zipcode, shipping_method, url);
            return false;
        });

        jQuery('#scroll').click(function() {
            jQuery('html,body').animate({
                    scrollTop: jQuery('#test').css('top')
                    }, 800, function() {

                    jQuery('html, body').animate({
                        scrollTop: 0
                    }, 800);

            });
        });

        jQuery('.cs-scroll').mCustomScrollbar({ 
        theme:"dark-3"        
        });

        var checking_value  = jQuery("input[name='shipping']:checked").val();
        if(checking_value !='')
        {
            CallUrlCheckout();
        }
        if(auto_check_direct == 1)
        {
            var shipping_method = "";
            jQuery("#shipping-loader").show();
            place_new_order(zipcode, shipping_method, url);   
        }
        /*jQuery('input[type=radio][name=shipping]').change(function() {
            CallUrlCheckout();
        });*/
        // If shipping method has been changed then stop user from redirecting to DivideBuy checkout.
        if(shippingChanged === "true"){
            jQuery(".shipping_note").html("Your shipping methods have been changed, please select from the updated methods displayed below.");
            return false;
            
        }
    });
</script>

<?php
// Setting up new session which will be used for checking if default shipping is selected or not.
WC()->session->set( 'default_shipping_checkout', 1 );